SparkFun ADIN1110 Arduino Library
========================================
|[![SparkFun Single Pair Ethernet Function Board](https://cdn.sparkfun.com//assets/parts/1/8/6/4/9/19038-SparkFun_MicroMod_Single_Pair_Ethernet_Function_Board_-_ADIN1110-01.jpg)](https://www.sparkfun.com/products/19038) | [![SparkFun Single Pair Ethernet Kit](https://cdn.sparkfun.com//assets/parts/1/9/2/9/9/19628-SparkFun_MicroMod_Single_Pair_Ethernet_Kit-01.jpg)](https://www.sparkfun.com/products/19628) |
|---|---|

This library allows the user to send and recieve data using single pair ethernet. 

Basic control is provided in the provided SinglePairEthernet Class. This allows the user to set the device MAC address, initialize, and sent and recieve data.

If more control over the ADIN1110 is desired, the advanced class is provided.

## Repository Contents
* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE.
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE.
* **library.properties** - General library properties for the Arduino package manager.

## Documentation
* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Library](https://github.com/sparkfun/SparkFun_ADIN1110_Arduino_Libary)** - This library, containing user with the ability to write applications for ADIN1110 with Arduino IDE.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/micromod-single-pair-ethernet-function-board---adin1110-hookup-guide)** - Basic hookup guide for the ADIN1110 Function board.
* **[MicroMod Ecosytem Information](https://www.sparkfun.com/micromod)** - Information page for micromod.
* **[LICENSE.md](./LICENSE.md)** - License Information

## Product Versions
* [COM-19038](https://www.sparkfun.com/products/19038)- Function board sold by itself
* [KIT-19628](https://www.sparkfun.com/products/19628)- Kit with 2 main board, 2 function boards, 2 processor boards, connecting cable, and screwdriver

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact technical support on our [SparkFun forums](https://forum.sparkfun.com/viewforum.php?f=152).

Distributed as-is; no warranty is given.

- Your friends at SparkFun.

_<COLLABORATION CREDIT>_